.loader-box {
  position: fixed;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100vh;
  @include dflex(center, wrap, center);
  transition: opacity 1s ease;
  background: $c-white;
  z-index: 9;
}

.loader-box.is-active {
  opacity: 1;
  visibility: visible;
}

.loader-box.is-close {
  animation: outFadeLoader 0.8s forwards;
}

h1.loader {
  text-align: center;
  text-transform: uppercase;
  font-family: 'Nunito', sans-serif;
  font-size: 4.6875em;
  color: transparent;
  letter-spacing: 0.01em;
}

.loader span {
  text-shadow: 0 0 2px rgba(204, 208, 212, 0.9), 0 15px 25px rgba(0, 0, 0, 0.3),
    0 -2px 3px rgba(0, 0, 0, 0.1), 0 -5px 10px rgba(255, 255, 255, 0.5),
    0 5px 10px rgba(0, 0, 0, 0.3), 0 3px 4px rgba(255, 255, 255, 0.2),
    0 0 20px rgba(255, 255, 255, 0.45);

  animation: loading 0.85s ease-in-out infinite alternate;
}

@keyframes loading {
  to {
    text-shadow: 0 0 2px rgba(204, 208, 212, 0.2), 0 0 3px rgba(0, 0, 0, 0.02),
      0 0 0 rgba(0, 0, 0, 0), 0 0 0 rgba(255, 255, 255, 0),
      0 0 0 rgba(0, 0, 0, 0), 0 0 0 rgba(255, 255, 255, 0),
      0 0 0 rgba(255, 255, 255, 0);
  }
}

.loader span:nth-child(2) {
  animation-delay: 0.15s;
}

.loader span:nth-child(3) {
  animation-delay: 0.3s;
}

.loader span:nth-child(4) {
  animation-delay: 0.45s;
}

.loader span:nth-child(5) {
  animation-delay: 0.6s;
}

.loader span:nth-child(6) {
  animation-delay: 0.75s;
}

.loader span:nth-child(7) {
  animation-delay: 0.9s;
}

@keyframes outFadeLoader {
  0% {
    opacity: 1;
    visibility: visible;
  }
  99% {
    opacity: 0.05;
    visibility: hidden;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
